GNU bug report logs - #46638
28.0.50; Hang on macOS with nativecomp in regex-emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Aaron Jensen <aaronjensen@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 46638 <at> debbugs.gnu.org and Aaron Jensen <aaronjensen@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46638 <at> debbugs.gnu.org:


Received: (at 46638) by debbugs.gnu.org; 17 Jun 2022 22:19:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 18:19:40 2022
Received: from localhost ([127.0.0.1]:47160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2KJY-0002rh-4F
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 18:19:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2KJV-0002rN-6a
 for 46638 <at> debbugs.gnu.org; Fri, 17 Jun 2022 18:19:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MB3tas2Mexm/sBiUcUa9VpWUaJUgy7SDtXuXAXTvOB8=; b=M3bxZbyWg3CDOrE6bNvhF7QWh5
 m6wrbWkixw25ot7nHDP/sATlnG2hS9RX7pRvN0w0rA86XcHY/xTM8u7HABd8z35EKLIyU8mU8jr0+
 HGtqvXSVj0GJ7SrxbHn3gbzMqF7FOUaP9mTMoS/hoQtciy2r3WPifYXsy5tucy9EjdLM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2KJM-0007js-Fj; Sat, 18 Jun 2022 00:19:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#46638: 28.0.50; Hang on macOS with nativecomp in regex-emacs
References: <m15z2ojbhd.fsf@HIDDEN> <87zgib2law.fsf@HIDDEN>
 <CAHyO48wpfz4-wDhBsxCvdzf_pDxktes=fXjeKtJ63u0aMOZ4TQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXBrJy4pZfHtajT
 wrWkjHR/aVX///8awRXiAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YGERYSAXx0COIAAAGdSURBVDjL
 dZTNmqsgDIYDbfeEOvsQnP0MdvaCnX2dU+//Vg4RbO2PeXxU8uZLIi0BBbPVhwZiJmItC1N8QPli
 LX7IN7iZFpDjZyOuXs4vEs0rICISAAXYGYgcalQBp6FISh5xV+wuId8DwQ3Vuv43ySOAZAN3mc7K
 zKDFyRaQC2kXzyM2Ovfl99iOJbXOzTv7dWwY+jMZvffTvWY7fKT2Sn+YIn0cD7s72KkrH9I/HCIe
 hk9bQU6F3Dj1N2Dq1U9qF8AeI+9dMskM0Z25XWpQTEjjydoUR3Sa46046nbCq0OPJjRW2fVO6FMi
 sjGwuTxuUf5Wz83RhxK/BsLCF5N+BoE79p+eQ/Hfge+YOwwV0B2ces+cusDPgPfGf+86fgEOcZws
 PwBdwe/U86uCfSib8QIy6jfA6i/3BFa2BQj0FnhHxAW0pXgfL4q3RWizXdhudwOodQ16SPXuO0jO
 fU5WRXJs868rK9AKZhEsB14LkO1QsBoBAjQtI4TqUHgymS1k5imAaBQalNmCAnLHxoDCxZSSCKOg
 MXll8NGy4j99+IEhIA2udgAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNi0xN1QyMjoxODowMSsw
 MDowMDBTcjEAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDYtMTdUMjI6MTg6MDErMDA6MDBBDsqN
 AAAAAElFTkSuQmCC
X-Now-Playing: 13 & God's _Own Your Ghost_: "Et Tu"
Date: Sat, 18 Jun 2022 00:19:27 +0200
In-Reply-To: <CAHyO48wpfz4-wDhBsxCvdzf_pDxktes=fXjeKtJ63u0aMOZ4TQ@HIDDEN>
 (Aaron Jensen's message of "Fri, 17 Jun 2022 18:09:34 -0400")
Message-ID: <87wndf2as0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Aaron Jensen <aaronjensen@HIDDEN> writes: > I have not
 seen this recently, please close. Thanks; closing. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46638
Cc: 46638 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Aaron Jensen <aaronjensen@HIDDEN> writes:

> I have not seen this recently, please close.

Thanks; closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46638; Package emacs. Full text available.

Message received at 46638 <at> debbugs.gnu.org:


Received: (at 46638) by debbugs.gnu.org; 17 Jun 2022 22:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 18:09:56 2022
Received: from localhost ([127.0.0.1]:47139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2KA8-0002dK-9d
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 18:09:56 -0400
Received: from mail-pg1-f174.google.com ([209.85.215.174]:41483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1o2KA3-0002d4-0Y
 for 46638 <at> debbugs.gnu.org; Fri, 17 Jun 2022 18:09:54 -0400
Received: by mail-pg1-f174.google.com with SMTP id w29so5101763pgl.8
 for <46638 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 15:09:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=yvGHDAjI8CnfgAeWEXRkq6y3agNhHVybpuG+7I29ELM=;
 b=JDbzc/P1+wux8LpPsvP2vT9DxwJoXTfzMFfEzSuIwnztHEsg84He8MAN8610g7qQpM
 byGUj6EQZAr9XDGx2fSNhbb9oNde1LCeCbkuzh3cQEd0wqGEU5o+QBa2gnaz+5eJIuNA
 JFUFIdIvXAQLTMcjtTUtshJgubEh1vhvPUgORQoWuE9oi8aitCUQBHxSuF72VAv4WiLP
 mmSa7D5GiT7GBry5yGri1ojsI8wZFYo/nvOLVcbfUvPQJfqBrGrTi1qQs7OdPuYcQBr5
 tTSJcIvxaJ3O2n9LYefC3nTqw9D0wLT6HqxUVzz1rsaFoLwbsZAK4xSsvaRT7uT15slh
 JWxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=yvGHDAjI8CnfgAeWEXRkq6y3agNhHVybpuG+7I29ELM=;
 b=YI+EwDCFVlstyfGaU/g6n705ZbahpINBSTSVSvVt2H6bgfl/zYntGq30IyEEjMQ7n6
 VNgNi1x/nyeUbB5JaJJuTwow+DYiIyahlrdphOd1Lh7aHXZgJu6HiNxp6/Ov3oVhf+Vg
 /x3Yey7FV2nR/7nqfuz42kEmzBa7E+WRKJjNs/LP1jjxAtUrICupOid7eQw20ZGBkp8d
 QLvfluKZEGmH2+2G3DrLRpqTuZdl+uXYxMEcSrbv86DyMgFN6LqPGnPZ1G2DerbuB+JD
 27lq9aGYT+z4lKsZ+iavEWCwvD517jODnzEdjU7Fm/vXMI/ypfxg0AaVRnuTdj/1gy46
 MGmw==
X-Gm-Message-State: AJIora/rZvsJy7xKd19KUkTAmyaBZWvm0CTjiH94mUYN01AL0WTG0hGP
 LIvFYN6OC8QopA40GtQi7ZIlJb4L1RoHwWACo2c=
X-Google-Smtp-Source: AGRyM1uurap9x5I1RNiGr+GZxxMnodPyn9MVVpyEikGKc+6of7wjffTheBHP5Qrmhxe6j/xnRLOFy8nuTYGFKaM/icQ=
X-Received: by 2002:a05:6a00:1482:b0:51c:6134:de1a with SMTP id
 v2-20020a056a00148200b0051c6134de1amr12331293pfu.31.1655503784856; Fri, 17
 Jun 2022 15:09:44 -0700 (PDT)
MIME-Version: 1.0
References: <m15z2ojbhd.fsf@HIDDEN> <87zgib2law.fsf@HIDDEN>
In-Reply-To: <87zgib2law.fsf@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Fri, 17 Jun 2022 18:09:34 -0400
Message-ID: <CAHyO48wpfz4-wDhBsxCvdzf_pDxktes=fXjeKtJ63u0aMOZ4TQ@HIDDEN>
Subject: Re: bug#46638: 28.0.50; Hang on macOS with nativecomp in regex-emacs
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46638
Cc: 46638 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Jun 17, 2022 at 2:32 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
> Aaron Jensen <aaronjensen@HIDDEN> writes:
>
> > Unfortunately, I don't have a way to reliably reproduce this. It happens
> > once every couple of days.
> >
> > I can say it seems to be correlated with using the nativecomp branch.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> Do you still see this in recent Emacs versions?

I have not seen this recently, please close.

Thanks,

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46638; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46638 <at> debbugs.gnu.org:


Received: (at 46638) by debbugs.gnu.org; 17 Jun 2022 18:32:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 14:32:20 2022
Received: from localhost ([127.0.0.1]:46935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2GlY-0007iA-7L
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 14:32:20 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2GlW-0007ht-EG
 for 46638 <at> debbugs.gnu.org; Fri, 17 Jun 2022 14:32:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bav5YEIMapvFHYCUSNIddD3TD53XfYZCxMjNydpQZfc=; b=O8/LwJWqusKTKW4VPpd+cGAqm5
 LXKZ97dIlHqRZe0y77ar1NVjOYodJVXFOmKjB2ojrYxfHYLQ9xDqNueb1a9enSpcqZuWqohYZtuQd
 VnfmOZsfyr8GW363Qkxw0txxhssxX2g2aptOqyy3W4Dmx7V9kB5yupygViqaf54G+Ye4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2GlN-0005yN-7m; Fri, 17 Jun 2022 20:32:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#46638: 28.0.50; Hang on macOS with nativecomp in regex-emacs
References: <m15z2ojbhd.fsf@HIDDEN>
X-Now-Playing: Illusion of Safety's _Mort Aux Vaches_: "(untitled)"
Date: Fri, 17 Jun 2022 20:32:07 +0200
In-Reply-To: <m15z2ojbhd.fsf@HIDDEN> (Aaron Jensen's message of "Fri, 19
 Feb 2021 09:58:22 -0600")
Message-ID: <87zgib2law.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Aaron Jensen <aaronjensen@HIDDEN> writes: > Unfortunately,
 I don't have a way to reliably reproduce this. It happens > once every couple
 of days. > > I can say it seems to be correlated with using the nativecomp
 branch. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46638
Cc: 46638 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Aaron Jensen <aaronjensen@HIDDEN> writes:

> Unfortunately, I don't have a way to reliably reproduce this. It happens
> once every couple of days.
>
> I can say it seems to be correlated with using the nativecomp branch.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Do you still see this in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46638; Package emacs. Full text available.

Message received at 46638 <at> debbugs.gnu.org:


Received: (at 46638) by debbugs.gnu.org; 19 Feb 2021 16:28:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 11:28:26 2021
Received: from localhost ([127.0.0.1]:50245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lD8dm-0008Ff-GW
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 11:28:26 -0500
Received: from mail-yb1-f180.google.com ([209.85.219.180]:44161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1lD8dh-0008FJ-JK
 for 46638 <at> debbugs.gnu.org; Fri, 19 Feb 2021 11:28:25 -0500
Received: by mail-yb1-f180.google.com with SMTP id f4so6035125ybk.11
 for <46638 <at> debbugs.gnu.org>; Fri, 19 Feb 2021 08:28:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=SPdJLjbchKhRcw7LwH5YMenLK/n6tfbE1mHwrUMRSPE=;
 b=EGBCi0BBc7kDL9hfR4srdeMPaDCXibczKAWgUwE63d8BLPw8UAXngOxCgo7HeTBs3d
 sx1oLCgyLFCXazXEcbX4V7mVEBzwEMLxZCGmaOBVTIp2QNdI0+fZiyW7EwPvbSEw/psC
 /Vz0XFhAMyFtK1DUoTl7kvXM1MlgMvIISrL8aoChuf0j0psSu9zJGzWXb4sr+F18i92l
 xSvoKkitnU+jFur+780Z0VWtlD1imQTwj8hDh94MolPvX9szPAQHh6Pr5xIugdyb4EOL
 ZznZmPiFdca6XOTTc1CyQwf4zVX5DHcMuwXluBBRuPV69yQIzx3jYp1PM/X0T58Ye3Xf
 /F1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=SPdJLjbchKhRcw7LwH5YMenLK/n6tfbE1mHwrUMRSPE=;
 b=uYI0Ie1zR7sn1/ojrfGq8CGBQax9xQI8zXjEzvJSKsZ5drrAvBuzwjpLnabcUFK9Nz
 UeGYqKPJmmH3te6DcHF6tP7blNr+IotbymjW1Y+yRY3YHt8koZKNDhPPK9Oc2u3cxxQc
 QvJqJh5dyJi42EqrOuaQE3dltqGh+34Jt1w5XKd6x2Bg0Li0lbnrLtSP6JHb0+u66gFi
 AXPSbtJikx3FXWFv9HmfvWoF7kYN+MSU20ko5CLMakxztFynOHbRsBtcXJPj8evQmQRm
 DuQi8V1xLomZ9KmclN6wLG/H4cOj+vz6Pwq9UxldLt+S7aLI0cSLAa5YPioOknR5+IJP
 3Ijw==
X-Gm-Message-State: AOAM530BHZV1l9TOG+nkAQbl8g9PReKXG9mGhiiypIh7xOs4k+mawnvm
 vZtNLclcUWA/c2G530v42P6c7EGKFOdHZADsPrGYU35X4Zk=
X-Google-Smtp-Source: ABdhPJzjw4eSB1pEPwqAIyKQ4y59U75rXbxDA4iPODslpUo9a/UMi/xzBt5pa+3DPDuw8Nw7sdZjIZvoblWORBe44vA=
X-Received: by 2002:a25:7784:: with SMTP id
 s126mr15385076ybc.475.1613752096039; 
 Fri, 19 Feb 2021 08:28:16 -0800 (PST)
MIME-Version: 1.0
References: <m15z2ojbhd.fsf@HIDDEN> <831rdc2g34.fsf@HIDDEN>
In-Reply-To: <831rdc2g34.fsf@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Fri, 19 Feb 2021 10:28:05 -0600
Message-ID: <CAHyO48w8gO3k0dmKFn7VOYZTgBiHqWsGRHuv5PMZjEEc3ibsBA@HIDDEN>
Subject: Re: bug#46638: 28.0.50; Hang on macOS with nativecomp in regex-emacs
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46638
Cc: 46638 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Feb 19, 2021 at 10:10 AM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Aaron Jensen <aaronjensen@HIDDEN>
> > Date: Fri, 19 Feb 2021 09:58:22 -0600
> >
> >     2457 Thread_11734453   DispatchQueue_1: com.apple.main-thread  (serial)
> >     + 2457 F70726f636573732d66696c65_process_file_0  (in simple-fab5b0cf-4ca11a8e.eln) + 800  [0x10b3479f0]
> >     +   2457 Fapply  (in emacs) + 625  [0x107067751]  eval.c:2636
> >     +     2457 Ffuncall  (in emacs) + 640  [0x107067a10]  eval.c:3006
> >     +       2457 funcall_subr  (in emacs) + 181  [0x1070682e5]  eval.c:0
> >     +         2457 Fcall_process  (in emacs) + 175  [0x1070bd8ff]  callproc.c:285
> >     +           2457 call_process  (in emacs) + 2109  [0x1070be1dd]  callproc.c:609
> >     +             2457 re_match_2_internal  (in emacs) + 154  [0x1070350ea]  regex-emacs.c:3964
>
> callproc.c:609 doesn't call re_match_2_internal, it calls
> emacs_spawn.  What am I missing here?

Hmm, good question. This particular build was compiled with -g3 -Og,
but I don't think that'd make it lie about line numbers. Maybe it's
not showing some inlined frames? Also, this is from Activity Monitor's
sampling, so I don't know how well that translates to a stack trace.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46638; Package emacs. Full text available.

Message received at 46638 <at> debbugs.gnu.org:


Received: (at 46638) by debbugs.gnu.org; 19 Feb 2021 16:10:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 11:10:48 2021
Received: from localhost ([127.0.0.1]:50224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lD8Mi-0007oO-DJ
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 11:10:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lD8Mg-0007o9-S2
 for 46638 <at> debbugs.gnu.org; Fri, 19 Feb 2021 11:10:47 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51508)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lD8Mb-0005R4-MY; Fri, 19 Feb 2021 11:10:41 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3682
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lD8Mb-0003w0-47; Fri, 19 Feb 2021 11:10:41 -0500
Date: Fri, 19 Feb 2021 18:10:55 +0200
Message-Id: <831rdc2g34.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <m15z2ojbhd.fsf@HIDDEN> (message from Aaron Jensen on Fri, 19
 Feb 2021 09:58:22 -0600)
Subject: Re: bug#46638: 28.0.50; Hang on macOS with nativecomp in regex-emacs
References: <m15z2ojbhd.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46638
Cc: 46638 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Aaron Jensen <aaronjensen@HIDDEN>
> Date: Fri, 19 Feb 2021 09:58:22 -0600
> 
>     2457 Thread_11734453   DispatchQueue_1: com.apple.main-thread  (serial)
>     + 2457 F70726f636573732d66696c65_process_file_0  (in simple-fab5b0cf-4ca11a8e.eln) + 800  [0x10b3479f0]
>     +   2457 Fapply  (in emacs) + 625  [0x107067751]  eval.c:2636
>     +     2457 Ffuncall  (in emacs) + 640  [0x107067a10]  eval.c:3006
>     +       2457 funcall_subr  (in emacs) + 181  [0x1070682e5]  eval.c:0
>     +         2457 Fcall_process  (in emacs) + 175  [0x1070bd8ff]  callproc.c:285
>     +           2457 call_process  (in emacs) + 2109  [0x1070be1dd]  callproc.c:609
>     +             2457 re_match_2_internal  (in emacs) + 154  [0x1070350ea]  regex-emacs.c:3964

callproc.c:609 doesn't call re_match_2_internal, it calls
emacs_spawn.  What am I missing here?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46638; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Feb 2021 15:58:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 10:58:41 2021
Received: from localhost ([127.0.0.1]:50196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lD8Ax-0007TU-Kc
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 10:58:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:52870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1lD8At-0007TK-Ab
 for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 10:58:38 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51626)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <aaronjensen@HIDDEN>)
 id 1lD8As-0006q3-Qf
 for bug-gnu-emacs@HIDDEN; Fri, 19 Feb 2021 10:58:34 -0500
Received: from mail-oi1-x235.google.com ([2607:f8b0:4864:20::235]:38808)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <aaronjensen@HIDDEN>)
 id 1lD8An-0008OQ-L2
 for bug-gnu-emacs@HIDDEN; Fri, 19 Feb 2021 10:58:34 -0500
Received: by mail-oi1-x235.google.com with SMTP id h17so6291835oih.5
 for <bug-gnu-emacs@HIDDEN>; Fri, 19 Feb 2021 07:58:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=6Zyugh5Yjp4lQ4sLoqWUn+eWtmXY3HyITqIeFyKEKcs=;
 b=r7ywRmlWysDJ87e5nsrA+p79+jhAl334Fk5HNouN/heouXAnrfq/pNpdLqmshDo0J6
 ANUrcUoq7wXtDwYV+pqRyEh4X1zICFg72VTKIWY0zS4NuolILFgwa6KgnrQl71U4a/t6
 Qn7se+xiaqh1KXfywpuz7+n1jun93jcbJv0zpKFEpGGbhq6tgPpEcGNhnq5OOi2VDKXs
 EfaZ0eDfKLGj/wJnDzfZWYXsbcDTVBwjVfn30ACNbszDL6o8la3bZLznijc3CnwSbYfx
 MigYWF7D3CXma5enCbiVU+b92hlGlj+paX3zyQXJstqP9OvJ+1jSH55xR9T3PLPYOZnF
 mm2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=6Zyugh5Yjp4lQ4sLoqWUn+eWtmXY3HyITqIeFyKEKcs=;
 b=rJaNJqscUJroYqKz5MdAMnIEzwoPw8n8FA7rrDBntPkgdoB/7yKUKt75vBzc/efIif
 I2kvscnMpP4loU6niNjVDIQqpk97LeoSk8OzeVEdYdBG8CJc7gvmvucxpwCUs9GGjEiJ
 c5FSWa66OLkJPkQWT81b8fDqbSxJqiMMW4H+naSupORdDfppEmi1t3x0tgu6JDWcSEJh
 NiRAZUp5Ohl7UrTJygJG68wLFoyH9/SKWK7T+zZm5YPDJ/cWktmzjHJRG/zsaUoViKuN
 70UlGbbCz8vmOEvWllwBnBiSKBV3CKF8vL19fakejBruxeNaViuj2aL2y9X6Z+qE5an9
 0Aig==
X-Gm-Message-State: AOAM531y6GkgqWsCqdfLs6B+Y54CuEom2ElPiRjx0VxCIqR09KwsJebN
 0oZR1hwbi3XhBwDMV/RVu/EWEZLbj0IINA==
X-Google-Smtp-Source: ABdhPJzB9zt5/fSSZxSsIfuuDIseK/yg6p37+1e//Cob31x0vhO+iKhM47wKozF0ZwCjt2A6iqAuGA==
X-Received: by 2002:aca:c345:: with SMTP id t66mr7152209oif.139.1613750306070; 
 Fri, 19 Feb 2021 07:58:26 -0800 (PST)
Received: from aaron-sub.local ([174.128.243.53])
 by smtp.gmail.com with ESMTPSA id c19sm1465009oiy.58.2021.02.19.07.58.24
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 19 Feb 2021 07:58:25 -0800 (PST)
From: Aaron Jensen <aaronjensen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Hang on macOS with nativecomp in regex-emacs
Date: Fri, 19 Feb 2021 09:58:22 -0600
Message-ID: <m15z2ojbhd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::235;
 envelope-from=aaronjensen@HIDDEN; helo=mail-oi1-x235.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

A few times now, Emacs has hung. I believe there's a correlation with
when I open magit-status, but I can't say that definitively.
Unfortunately, the hang makes it difficult to attach to Emacs to debug.
When I attached with XCode, I got nothing useful. After detaching, I
attached with lldb directly and I got this as my trace:

* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x00007fff6a7145e0 libsystem_platform.dylib`_sigtramp
libsystem_platform.dylib`_sigtramp:
->  0x7fff6a7145e0 <+0>: pushq  %rbp
    0x7fff6a7145e1 <+1>: movq   %rsp, %rbp
    0x7fff6a7145e4 <+4>: movq   %rdi, %rax
    0x7fff6a7145e7 <+7>: incl   0x264ef4d3(%rip)          ; __in_sigtramp
Target 0: (emacs) stopped.

Also, before I attached anything, I did a process sample and got this,
which looks more useful:

    2457 Thread_11734453   DispatchQueue_1: com.apple.main-thread  (serial)
    + 2457 F70726f636573732d66696c65_process_file_0  (in simple-fab5b0cf-4ca11a8e.eln) + 800  [0x10b3479f0]
    +   2457 Fapply  (in emacs) + 625  [0x107067751]  eval.c:2636
    +     2457 Ffuncall  (in emacs) + 640  [0x107067a10]  eval.c:3006
    +       2457 funcall_subr  (in emacs) + 181  [0x1070682e5]  eval.c:0
    +         2457 Fcall_process  (in emacs) + 175  [0x1070bd8ff]  callproc.c:285
    +           2457 call_process  (in emacs) + 2109  [0x1070be1dd]  callproc.c:609
    +             2457 re_match_2_internal  (in emacs) + 154  [0x1070350ea]  regex-emacs.c:3964
    +               2457 _sigtramp  (in libsystem_platform.dylib) + 0  [0x7fff6a7145e0]

For me, the line in regex-emacs.c is:

  INIT_FAIL_STACK ();

Unfortunately, I don't have a way to reliably reproduce this. It happens
once every couple of days.

I can say it seems to be correlated with using the nativecomp branch.


In GNU Emacs 28.0.50 (build 5, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H512))
 of 2021-02-18 built on aaron-sub.local
Repository revision: 24926a03cdaf36017df27e947abb02aa626b8a99
Repository branch: feature/native-comp
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Configured using:
 'configure 'LDFLAGS=-L/usr/local/lib/gcc/10
 -I/usr/local/opt/gcc/include -I/usr/local/opt/libgccjit/include
 -I/usr/local/opt/gmp/include -I/usr/local/opt/jpeg/include'
 'CFLAGS=-I/usr/local/opt/gcc/include -I/usr/local/opt/libgccjit/include
 -I/usr/local/opt/gmp/include -I/usr/local/opt/jpeg/include -g3 -Og'
 --disable-dependency-tracking --disable-silent-rules --with-xml2
 --with-gnutls --with-nativecomp --without-dbus --with-imagemagick
 --with-modules --with-rsvg --with-ns --disable-ns-self-contained'

Configured features:
ACL GLIB GMP GNUTLS IMAGEMAGICK JPEG JSON LCMS2 LIBXML2 MODULES
NATIVE_COMP NOTIFY KQUEUE NS PDUMPER PNG RSVG THREADS TIFF
TOOLKIT_SCROLL_BARS ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  eval-sexp-fu-flash-mode: t
  company-posframe-mode: t
  company-prescient-mode: t
  company-tng-mode: t
  org-roam-mode: t
  selectrum-prescient-mode: t
  global-git-commit-mode: t
  transient-posframe-mode: t
  global-flycheck-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  which-key-posframe-mode: t
  which-key-mode: t
  winner-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: deferred
  treemacs-fringe-indicator-mode: t
  global-auto-revert-mode: t
  better-jumper-mode: t
  better-jumper-local-mode: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  smartparens-global-mode: t
  smartparens-mode: t
  global-evil-collection-unimpaired-mode: t
  evil-collection-unimpaired-mode: t
  global-evil-mc-mode: t
  evil-mc-mode: t
  global-evil-matchit-mode: t
  evil-matchit-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  envrc-global-mode: t
  recentf-mode: t
  projectile-mode: t
  persp-mode: t
  mini-frame-mode: t
  gcmh-mode: t
  selectrum-mode: t
  prescient-persist-mode: t
  +popup-mode: t
  ws-butler-global-mode: t
  global-undo-tree-mode: t
  save-place-mode: t
  ns-auto-titlebar-mode: t
  doom-modeline-mode: t
  global-leader-key-leader-override-mode: t
  delete-selection-mode: t
  savehist-mode: t
  xterm-mouse-mode: t
  override-global-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  global-display-line-numbers-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/Users/aaronjensen/.emacs.d/straight/build/ivy/elpa hides /Users/aaronjensen/.emacs.d/straight/build/lispy/elpa
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-stan hides /Users/aaronjensen/Source/emacs/lisp/org/ob-stan
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-comint hides /Users/aaronjensen/Source/emacs/lisp/org/ob-comint
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-exp hides /Users/aaronjensen/Source/emacs/lisp/org/ob-exp
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-ctags hides /Users/aaronjensen/Source/emacs/lisp/org/org-ctags
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-emacs-lisp hides /Users/aaronjensen/Source/emacs/lisp/org/ob-emacs-lisp
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-texinfo hides /Users/aaronjensen/Source/emacs/lisp/org/ox-texinfo
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-irc hides /Users/aaronjensen/Source/emacs/lisp/org/ol-irc
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob hides /Users/aaronjensen/Source/emacs/lisp/org/ob
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-refile hides /Users/aaronjensen/Source/emacs/lisp/org/org-refile
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-version hides /Users/aaronjensen/Source/emacs/lisp/org/org-version
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-num hides /Users/aaronjensen/Source/emacs/lisp/org/org-num
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-mhe hides /Users/aaronjensen/Source/emacs/lisp/org/ol-mhe
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-shell hides /Users/aaronjensen/Source/emacs/lisp/org/ob-shell
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-attach hides /Users/aaronjensen/Source/emacs/lisp/org/org-attach
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-C hides /Users/aaronjensen/Source/emacs/lisp/org/ob-C
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-macs hides /Users/aaronjensen/Source/emacs/lisp/org/org-macs
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-entities hides /Users/aaronjensen/Source/emacs/lisp/org/org-entities
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-dot hides /Users/aaronjensen/Source/emacs/lisp/org/ob-dot
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-sql hides /Users/aaronjensen/Source/emacs/lisp/org/ob-sql
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-eww hides /Users/aaronjensen/Source/emacs/lisp/org/ol-eww
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-datetree hides /Users/aaronjensen/Source/emacs/lisp/org/org-datetree
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-macro hides /Users/aaronjensen/Source/emacs/lisp/org/org-macro
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-eval hides /Users/aaronjensen/Source/emacs/lisp/org/ob-eval
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-haskell hides /Users/aaronjensen/Source/emacs/lisp/org/ob-haskell
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-asymptote hides /Users/aaronjensen/Source/emacs/lisp/org/ob-asymptote
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-abc hides /Users/aaronjensen/Source/emacs/lisp/org/ob-abc
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-org hides /Users/aaronjensen/Source/emacs/lisp/org/ox-org
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-rmail hides /Users/aaronjensen/Source/emacs/lisp/org/ol-rmail
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-awk hides /Users/aaronjensen/Source/emacs/lisp/org/ob-awk
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-groovy hides /Users/aaronjensen/Source/emacs/lisp/org/ob-groovy
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-shen hides /Users/aaronjensen/Source/emacs/lisp/org/ob-shen
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-icalendar hides /Users/aaronjensen/Source/emacs/lisp/org/ox-icalendar
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-octave hides /Users/aaronjensen/Source/emacs/lisp/org/ob-octave
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-scheme hides /Users/aaronjensen/Source/emacs/lisp/org/ob-scheme
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-mobile hides /Users/aaronjensen/Source/emacs/lisp/org/org-mobile
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-processing hides /Users/aaronjensen/Source/emacs/lisp/org/ob-processing
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-ledger hides /Users/aaronjensen/Source/emacs/lisp/org/ob-ledger
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-picolisp hides /Users/aaronjensen/Source/emacs/lisp/org/ob-picolisp
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-colview hides /Users/aaronjensen/Source/emacs/lisp/org/org-colview
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-R hides /Users/aaronjensen/Source/emacs/lisp/org/ob-R
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-table hides /Users/aaronjensen/Source/emacs/lisp/org/org-table
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-html hides /Users/aaronjensen/Source/emacs/lisp/org/ox-html
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-fortran hides /Users/aaronjensen/Source/emacs/lisp/org/ob-fortran
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol hides /Users/aaronjensen/Source/emacs/lisp/org/ol
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-plantuml hides /Users/aaronjensen/Source/emacs/lisp/org/ob-plantuml
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-docview hides /Users/aaronjensen/Source/emacs/lisp/org/ol-docview
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-perl hides /Users/aaronjensen/Source/emacs/lisp/org/ob-perl
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-sqlite hides /Users/aaronjensen/Source/emacs/lisp/org/ob-sqlite
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-sed hides /Users/aaronjensen/Source/emacs/lisp/org/ob-sed
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-ditaa hides /Users/aaronjensen/Source/emacs/lisp/org/ob-ditaa
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-ruby hides /Users/aaronjensen/Source/emacs/lisp/org/ob-ruby
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-habit hides /Users/aaronjensen/Source/emacs/lisp/org/org-habit
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-gnus hides /Users/aaronjensen/Source/emacs/lisp/org/ol-gnus
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-screen hides /Users/aaronjensen/Source/emacs/lisp/org/ob-screen
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-mouse hides /Users/aaronjensen/Source/emacs/lisp/org/org-mouse
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-css hides /Users/aaronjensen/Source/emacs/lisp/org/ob-css
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-inlinetask hides /Users/aaronjensen/Source/emacs/lisp/org/org-inlinetask
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-lisp hides /Users/aaronjensen/Source/emacs/lisp/org/ob-lisp
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-eshell hides /Users/aaronjensen/Source/emacs/lisp/org/ol-eshell
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-pcomplete hides /Users/aaronjensen/Source/emacs/lisp/org/org-pcomplete
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-lint hides /Users/aaronjensen/Source/emacs/lisp/org/org-lint
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-id hides /Users/aaronjensen/Source/emacs/lisp/org/org-id
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-vala hides /Users/aaronjensen/Source/emacs/lisp/org/ob-vala
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-capture hides /Users/aaronjensen/Source/emacs/lisp/org/org-capture
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-sass hides /Users/aaronjensen/Source/emacs/lisp/org/ob-sass
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-tangle hides /Users/aaronjensen/Source/emacs/lisp/org/ob-tangle
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-calc hides /Users/aaronjensen/Source/emacs/lisp/org/ob-calc
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-java hides /Users/aaronjensen/Source/emacs/lisp/org/ob-java
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-compat hides /Users/aaronjensen/Source/emacs/lisp/org/org-compat
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-attach-git hides /Users/aaronjensen/Source/emacs/lisp/org/org-attach-git
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-beamer hides /Users/aaronjensen/Source/emacs/lisp/org/ox-beamer
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-coq hides /Users/aaronjensen/Source/emacs/lisp/org/ob-coq
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-protocol hides /Users/aaronjensen/Source/emacs/lisp/org/org-protocol
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-element hides /Users/aaronjensen/Source/emacs/lisp/org/org-element
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-lob hides /Users/aaronjensen/Source/emacs/lisp/org/ob-lob
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-mscgen hides /Users/aaronjensen/Source/emacs/lisp/org/ob-mscgen
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-tempo hides /Users/aaronjensen/Source/emacs/lisp/org/org-tempo
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-python hides /Users/aaronjensen/Source/emacs/lisp/org/ob-python
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-latex hides /Users/aaronjensen/Source/emacs/lisp/org/ob-latex
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-w3m hides /Users/aaronjensen/Source/emacs/lisp/org/ol-w3m
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-agenda hides /Users/aaronjensen/Source/emacs/lisp/org/org-agenda
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-ocaml hides /Users/aaronjensen/Source/emacs/lisp/org/ob-ocaml
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-ref hides /Users/aaronjensen/Source/emacs/lisp/org/ob-ref
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-lilypond hides /Users/aaronjensen/Source/emacs/lisp/org/ob-lilypond
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-table hides /Users/aaronjensen/Source/emacs/lisp/org/ob-table
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-clojure hides /Users/aaronjensen/Source/emacs/lisp/org/ob-clojure
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-indent hides /Users/aaronjensen/Source/emacs/lisp/org/org-indent
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-plot hides /Users/aaronjensen/Source/emacs/lisp/org/org-plot
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-latex hides /Users/aaronjensen/Source/emacs/lisp/org/ox-latex
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-src hides /Users/aaronjensen/Source/emacs/lisp/org/org-src
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-duration hides /Users/aaronjensen/Source/emacs/lisp/org/org-duration
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-makefile hides /Users/aaronjensen/Source/emacs/lisp/org/ob-makefile
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-info hides /Users/aaronjensen/Source/emacs/lisp/org/ol-info
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-ebnf hides /Users/aaronjensen/Source/emacs/lisp/org/ob-ebnf
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-clock hides /Users/aaronjensen/Source/emacs/lisp/org/org-clock
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-forth hides /Users/aaronjensen/Source/emacs/lisp/org/ob-forth
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-odt hides /Users/aaronjensen/Source/emacs/lisp/org/ox-odt
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-publish hides /Users/aaronjensen/Source/emacs/lisp/org/ox-publish
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-archive hides /Users/aaronjensen/Source/emacs/lisp/org/org-archive
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-org hides /Users/aaronjensen/Source/emacs/lisp/org/ob-org
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-lua hides /Users/aaronjensen/Source/emacs/lisp/org/ob-lua
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-keys hides /Users/aaronjensen/Source/emacs/lisp/org/org-keys
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-eshell hides /Users/aaronjensen/Source/emacs/lisp/org/ob-eshell
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-faces hides /Users/aaronjensen/Source/emacs/lisp/org/org-faces
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-man hides /Users/aaronjensen/Source/emacs/lisp/org/ox-man
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-list hides /Users/aaronjensen/Source/emacs/lisp/org/org-list
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-md hides /Users/aaronjensen/Source/emacs/lisp/org/ox-md
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-goto hides /Users/aaronjensen/Source/emacs/lisp/org/org-goto
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-bbdb hides /Users/aaronjensen/Source/emacs/lisp/org/ol-bbdb
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-loaddefs hides /Users/aaronjensen/Source/emacs/lisp/org/org-loaddefs
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org hides /Users/aaronjensen/Source/emacs/lisp/org/org
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ol-bibtex hides /Users/aaronjensen/Source/emacs/lisp/org/ol-bibtex
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-J hides /Users/aaronjensen/Source/emacs/lisp/org/ob-J
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox-ascii hides /Users/aaronjensen/Source/emacs/lisp/org/ox-ascii
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-matlab hides /Users/aaronjensen/Source/emacs/lisp/org/ob-matlab
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ox hides /Users/aaronjensen/Source/emacs/lisp/org/ox
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-timer hides /Users/aaronjensen/Source/emacs/lisp/org/org-timer
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-core hides /Users/aaronjensen/Source/emacs/lisp/org/ob-core
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-feed hides /Users/aaronjensen/Source/emacs/lisp/org/org-feed
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-io hides /Users/aaronjensen/Source/emacs/lisp/org/ob-io
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-gnuplot hides /Users/aaronjensen/Source/emacs/lisp/org/ob-gnuplot
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-js hides /Users/aaronjensen/Source/emacs/lisp/org/ob-js
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-footnote hides /Users/aaronjensen/Source/emacs/lisp/org/org-footnote
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-maxima hides /Users/aaronjensen/Source/emacs/lisp/org/ob-maxima
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/ob-hledger hides /Users/aaronjensen/Source/emacs/lisp/org/ob-hledger
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-install hides /Users/aaronjensen/Source/emacs/lisp/org/org-install
/Users/aaronjensen/.emacs.d/straight/build/org-plus-contrib/org-crypt hides /Users/aaronjensen/Source/emacs/lisp/org/org-crypt
/Users/aaronjensen/.emacs.d/straight/build/let-alist/let-alist hides /Users/aaronjensen/Source/emacs/lisp/emacs-lisp/let-alist

Features:
(shadow mail-extr explain-pause-mode explain-pause-top
explain-pause-log-to-socket evil-collection-restclient restclient
vterm-toggle tramp-sh evil-collection-vterm vterm term ehelp
vterm-module term/xterm xterm dumb-jump popup dockerfile-mode yaml-mode
json-mode json-reformat json-snatcher smartparens-javascript js
smartparens-c cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs sh-script smartparens-lua lua-mode
ruby-refactor rspec-mode evil-ruby-text-objects bundler inf-ruby
smartparens-ruby ruby-mode smie enh-ruby-mode paren sotlisp skeleton
elisp-def ert evil-collection-debug debug lispyville lispy hydra swiper
ivy ivy-faces ivy-overlay colir lispy-inline etags fileloop lispy-tags
semantic/db eieio-base semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local cedet ediff ediff-merg
ediff-mult ediff-wind ediff-diff ediff-help ediff-init ediff-util iedit
iedit-lib eros eval-sexp-fu eslintd-fix web-mode disp-table company-rg
company-lsp company-posframe company-prescient company-tng company
git-link prettier tramp tramp-loaddefs trampver tramp-integration
files-x tramp-compat ls-lisp nvm iter2 lsp-ui lsp-ui-flycheck lsp-ui-doc
goto-addr lsp-ui-imenu lsp-ui-peek lsp-ui-sideline face-remap
lsp-ui-util lsp-mode lv emacsbug sendmail lsp-protocol char-fold spinner
network-stream smartparens-markdown markdown-mode ewoc bindat
org-pandoc-import gnuplot org-journal org-crypt cal-iso deft org-roam
org-roam-link org-roam-graph org-roam-doctor org-roam-dailies
org-roam-capture org-roam-db emacsql-sqlite3 emacsql emacsql-compiler
org-roam-completion org-roam-buffer org-roam-faces org-roam-macs
org-roam-compat org-drill persist org-capture org-mac-link tab-line
restart-emacs ace-window buffer-move completing-read-xref embark-consult
embark ffap consult-selectrum consult magit-bookmark treemacs-bookmarks
bookmark selectrum-prescient selectrum minibuf-eldef desktop frameset
wgrep sort avy drag-stuff org-agenda dtrt-indent speeddating
evil-nerd-commenter evil-nerd-commenter-operator evil-nerd-commenter-sdk
smartparens-html sgml-mode evil-visualstar evil-collection-magit
treemacs-magit magit-submodule magit-obsolete magit-blame magit-stash
magit-reflog magit-bisect magit-push magit-pull magit-fetch magit-clone
magit-remote magit-commit magit-sequence magit-notes magit-worktree
magit-tag magit-merge magit-branch magit-reset magit-files magit-refs
magit-status magit package url-handlers magit-repos magit-apply
magit-wip magit-log which-func magit-diff smerge-mode git-commit
log-edit pcvs-util add-log magit-core magit-autorevert magit-margin
magit-transient magit-process with-editor magit-mode transient-posframe
transient magit-git magit-section magit-utils crm treemacs-evil
treemacs-projectile executable vc-mtn vc-hg vc-git diff-mode vc-bzr
vc-src vc-sccs vc-svn vc-cvs vc-rcs vc vc-dispatcher flycheck yasnippet
popup-mode-hacks evil-collection-which-key which-key-posframe which-key
winner org-appear orgonomic form-feed ol-eww eww xdg url-queue mm-url
ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect gnus-search eieio-opt
speedbar ezimage dframe gnus-art mm-uu mml2015 mm-view mml-smime smime
dig gnus-sum shr kinsoku svg dom browse-url gnus-group gnus-undo
gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail mail-source utf7
netrc nnoo parse-time gnus-spec gnus-int gnus-range message rfc822 mml
mml-sec epa epg epg-config mm-decode mm-bodies mm-encode mailabbrev
gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail
rmail-loaddefs mail-utils ol-docview doc-view jka-compr image-mode exif
ol-bibtex bibtex iso8601 ol-bbdb ol-w3m smartparens-org ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-ascii ox-gfm ox-md
ox-html table ox-publish ox org-download org-attach org-id org-refile
async org-protocol org-tempo tempo evil-org-agenda evil-org org-element
avl-tree generator ob-shell org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-footnote org-src ob-comint org-pcomplete org-list
org-faces org-entities time-date noutline outline org-version
ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-compat org-macs
org-loaddefs format-spec cal-menu calendar cal-loaddefs
treemacs-perspective treemacs-all-the-icons treemacs
treemacs-header-line treemacs-compatibility treemacs-mode
treemacs-interface treemacs-extensions treemacs-mouse-interface
treemacs-tags evil-collection-xref xref project treemacs-persistence
treemacs-filewatch-mode treemacs-follow-mode treemacs-rendering
treemacs-async treemacs-workspaces treemacs-dom treemacs-visuals
treemacs-fringe-indicator treemacs-scope pulse treemacs-faces
treemacs-icons treemacs-themes treemacs-core-utils pfuture inline
hl-line ht treemacs-logging treemacs-customization treemacs-macros
autorevert filenotify rainbow-mode xterm-color color posframe
evil-collection-helpful helpful imenu trace evil-collection-edebug
edebug backtrace info-look find-func dash-functional help-fns elisp-refs
dired-subtree dired-hacks-utils evil-collection-dired dired
dired-loaddefs evil-collection-profiler profiler url-http url url-proxy
url-privacy url-expand url-methods url-history mailcap url-auth
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
url-cookie url-domsuf url-util url-gw url-parse auth-source eieio
eieio-core eieio-loaddefs password-cache url-vars nsm rmc puny
better-jumper smartparens-config smartparens-text smartparens evil-anzu
anzu evil-collection-unimpaired evil-collection-ibuffer
evil-collection-help evil-collection-custom evil-collection-process-menu
evil-collection annalist evil-mc evil-mc-command-execute
evil-mc-command-record evil-mc-cursor-make evil-mc-region
evil-mc-cursor-state evil-mc-undo evil-mc-vars evil-mc-known-commands
evil-mc-common evil-numbers evil-matchit evil-matchit-sdk evil-surround
cus-edit pp cus-start cus-load evil evil-integration evil-maps
evil-commands reveal flyspell ispell evil-jumps evil-command-window
evil-types evil-search evil-ex shell pcomplete evil-macros evil-repeat
evil-states evil-core evil-common windmove rect evil-digraphs evil-vars
envrc inheritenv json map recentf tree-widget wid-edit persp-projectile
projectile grep compile text-property-search comint ansi-color ring
ibuf-ext ibuffer ibuffer-loaddefs perspective advice ido mini-frame
server gcmh modus-operandi-theme modus-themes gcmh-autoloads
explain-pause-mode-autoloads restclient-autoloads vterm-toggle-autoloads
vterm-autoloads dumb-jump-autoloads popup-autoloads
xterm-color-autoloads dockerfile-mode-autoloads yaml-mode-autoloads
json-mode-autoloads json-snatcher-autoloads json-reformat-autoloads
lua-mode-autoloads bundler-autoloads inf-ruby-autoloads
ruby-refactor-autoloads rspec-mode-autoloads
evil-ruby-text-objects-autoloads enh-ruby-mode-autoloads
sotlisp-autoloads elisp-def-autoloads lispyville-autoloads
lispy-autoloads zoutline-autoloads counsel-autoloads swiper-autoloads
ivy-autoloads iedit-autoloads eros-autoloads eval-sexp-fu-autoloads
eslintd-fix-autoloads web-mode-autoloads company-rg-autoloads
company-lsp-autoloads company-posframe-autoloads
company-prescient-autoloads company-autoloads git-link-autoloads
prettier-autoloads nvm-autoloads iter2-autoloads flycheck-autoloads
let-alist-autoloads lsp-ui-autoloads lsp-mode-autoloads
markdown-mode-autoloads spinner-autoloads ox-gfm-autoloads
org-pandoc-import-autoloads gnuplot-autoloads org-download-autoloads
async-autoloads org-journal-autoloads deft-autoloads org-roam-autoloads
emacsql-sqlite3-autoloads emacsql-autoloads orgonomic-autoloads
org-drill-autoloads persist-autoloads org-appear-autoloads
evil-org-autoloads transient-posframe-autoloads restart-emacs-autoloads
better-jumper-autoloads buffer-move-autoloads
completing-read-xref-autoloads mini-frame-autoloads
embark-consult-autoloads embark-autoloads consult-autoloads
selectrum-prescient-autoloads selectrum-autoloads
persp-projectile-autoloads prescient prescient-autoloads
which-key-posframe-autoloads which-key-autoloads popup-mode
popup-mode-settings popup-mode-autoloads hide-mode-line-autoloads
wgrep-autoloads yasnippet-autoloads form-feed-autoloads
drag-stuff-autoloads smartparens-autoloads dtrt-indent-autoloads
ws-butler ws-butler-autoloads evil-anzu-autoloads anzu-autoloads
evil-collection-autoloads annalist-autoloads evil-mc-autoloads
evil-numbers-autoloads speeddating-autoloads evil-matchit-autoloads
evil-nerd-commenter-autoloads evil-visualstar-autoloads
evil-surround-autoloads undo-tree diff queue undo-tree-autoloads
queue-autoloads treemacs-perspective-autoloads perspective-autoloads
treemacs-magit-autoloads magit-autoloads git-commit-autoloads
with-editor-autoloads transient-autoloads
treemacs-all-the-icons-autoloads treemacs-projectile-autoloads
treemacs-evil-autoloads evil-autoloads goto-chg-autoloads
treemacs-autoloads cfrs-autoloads ht-autoloads pfuture-autoloads
ace-window-autoloads avy-autoloads projectile-autoloads
pkg-info-autoloads epl-autoloads saveplace rainbow-mode-autoloads
posframe-autoloads ns-auto-titlebar ns-auto-titlebar-autoloads
doom-modeline doom-modeline-segments let-alist doom-modeline-env
doom-modeline-core shrink-path f s all-the-icons all-the-icons-faces
data-material data-weathericons data-octicons data-fileicons
data-faicons data-alltheicons dash doom-modeline-autoloads
shrink-path-autoloads all-the-icons-autoloads modus-themes-autoloads
envrc-autoloads inheritenv-autoloads compdef derived compdef-autoloads
helpful-autoloads elisp-refs-autoloads f-autoloads s-autoloads
dash-functional-autoloads dired-subtree-autoloads
dired-hacks-utils-autoloads dash-autoloads hydra-autoloads lv-autoloads
edmacro kmacro leader-key bind-map leader-key-autoloads
bind-map-autoloads delsel savehist xt-mouse no-littering
no-littering-autoloads finder-inf bind-key easy-mmode
use-package-autoloads bind-key-autoloads straight-autoloads info
checkdoc thingatpt autoload radix-tree lisp-mnt straight
display-line-numbers comp comp-cstr warnings subr-x rx cl-seq cl-macs
cl-extra help-mode easymenu seq byte-opt gv cl-loaddefs cl-lib bytecomp
byte-compile cconv iso-transl tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/ns-win ns-win ucs-normalize
mule-util term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face pcase macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads kqueue cocoa ns lcms2
multi-tty make-network-process nativecomp emacs)

Memory information:
((conses 16 1280102 210531)
 (symbols 48 78513 7)
 (strings 32 283059 29421)
 (string-bytes 1 10286584)
 (vectors 16 112350)
 (vector-slots 8 2118402 126361)
 (floats 8 2206 463)
 (intervals 56 12530 688)
 (buffers 984 20))




Acknowledgement sent to Aaron Jensen <aaronjensen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46638; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jun 2022 22:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.